Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.model
Class Ideogram

    java.lang.Object
      org.kemet.impl.grammar.model.Ideogram

All Implemented Interfaces:
  java.io.Serializable, IGlobals

    public class Ideogram

extends java.lang.Object
implements java.io.Serializable, IGlobals

Since:
  0.6
Author:
  fabricemaupin

  BEAN : Ideogram.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.kemet.impl.grammar.IGlobals
`ALL, ANALYSE_FROM_SIGNS, BILITERAL, CONSONAT, exceptionnalVo, grammarMainClassName, MAX_PART_OF_NOUN, MAX_PART_OF_PREPOSITION, MAX_PART_OF_PRONOUNS, methodNameToManageHieroglyphs, methodNameToManageTransliteration, methodNameToPhoneticRead, methodNameToPhoneticReadWithGlobalApproach, minVersionJRE, NUMBER_OF_TYPE_OF_PHONOGRAMS, PROPOSITION_TYPE_PPA, selectedGrammar, SEMI_CONSONAT, TO_FORMAT, TO_HIEROGLYPHS, TO_READ, TO_TRANSLITERATION, TO_TYPE, TRILITERAL, UNILITERAL, vo`

Constructor Summary
`Ideogram()` instantiate the object.

Method Summary
`static void` | `clear()` remove all instances.
`java.lang.String` | `getId()` return the identification.
`static java.util.Vector` | `getIdeogramInstances()` return the list of instances.
`static int` | `getNumberOfParts()` compute the maximum number of parts for ideograms.
`java.lang.String[]` | `getValue()` return the values.
`static boolean` | `isFoundById(java.lang.String id)` the hieroglyph is it a ideogram ?
`static java.lang.String[]` | `isFoundByTransliteration(java.lang.String transliteration, int start, int number)` the transliteration is a ideogram ?
`void` | `setId(java.lang.String id)` fix the identification.
`void` | `setValue(java.lang.String[] values)` fix the values.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ideogram

    public Ideogram()

  instantiate the object.

  Since:
    0.6

Method Detail

### isFoundById

    public static boolean isFoundById(java.lang.String id)

  the hieroglyph is it a ideogram ?

  Parameters:
    `id` - identification
  Returns:
    true / false
  Since:
    0.6

### isFoundByTransliteration

    public static java.lang.String[] isFoundByTransliteration(java.lang.String transliteration,
                                                              int start,
                                                              int number)

  the transliteration is a ideogram ?

  Parameters:
    `transliteration` - current transliteration to compare with list of ideograms
    `start` - start of substring
    `number` - number of parts (max) for ideogram
  Returns:
    information about ideogram or null if it's not a ideogram
  Since:
    0.6

### getNumberOfParts

    public static int getNumberOfParts()

  compute the maximum number of parts for ideograms.

  Returns:
    number of parts
  Since:
    0.6

### getIdeogramInstances

    public static java.util.Vector getIdeogramInstances()

  return the list of instances.

  Returns:
    list of instances
  Since:
    0.6

### clear

    public static void clear()

  remove all instances.

  Since:
    0.6

### getId

    public java.lang.String getId()

  return the identification.

  Returns:
    identification
  Since:
    0.6

### setId

    public void setId(java.lang.String id)

  fix the identification.

  Parameters:
    `id` - identification to fix
  Since:
    0.6

### getValue

    public java.lang.String[] getValue()

  return the values.

  Returns:
    list of values
  Since:
    0.6

### setValue

    public void setValue(java.lang.String[] values)

  fix the values.

  Parameters:
    `values` - values to fix
  Since:
    0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.